/*
 * @Author: zc
 * @Description: 用户
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * 修改密码
 * @param data
 */
export function changePwd(data:object) {
    return request({
        url: `/api/v1/User/change-pwd`,
        method: 'post',
        data
    });
}
/**
 * 当前用户信息
 * @param 
 */
 export function getUserInfo() {
    return request({
        url: `/api/v1/Home/myinfo`,
        method: 'get'
    });
}
/**
 * 获取当前用户所有按钮
 * @param 
 */
 export function getBtns() {
    return request({
        url: `/api/v1/Home/get-my-auth-button`,
        method: 'get'
    });
}
/**
 * @description: 获取所有分机列表
 * @param {object} params
 * @return {*}
 */
 export const getTelsList = (params?: object) => {
    return request({
        url: '/api/v1/Tel/tels-frequency',
        method: 'get',
        params: params,
    });
};
/**
 * @description: 获取当前用户分机列表
 * @param {object} params
 * @return {*}
 */
 export const getTelList = (params?: object) => {
    return request({
        url: '/api/v1/Tel/tel-frequency',
        method: 'get',
        params: params,
    });
};


 /*  下面是话机状态操作 */
/**
 * 签入
 * @param telNo 分机编号
 * @returns 返回接口数据
 */
 export function onDuty(telNo: string) {
    return request({
        url: `/api/v1/User/on-duty/${telNo}`,
        method: 'post',
    });
}
/**
 * 签出
 * @param data 分机编号
 * @returns 返回接口数据
 */
export function offDuty(data?: string) {
    return request({
        url: `/api/v1/User/off-duty`,
        method: 'post',
        data:data
    });
}
/**
 * 查寻当前用户分机状态
 */
export function getTelStatus() {
    return request({
        url: `/api/v1/User/state`,
        method: 'get'
    });
}
/**
 * 分机休息
 */
export function telRest() {
    return request({
        url: `/api/v1/Pbx/rest`,
        method: 'put',
    });
}
/**
 * 分机结束休息
 */
export function telUnrest() {
    return request({
        url: `/api/v1/Pbx/un-rest`,
        method: 'put'
    });
}
/**
 * 通话保持
 */
 export function telHold() {
    return request({
        url: `/api/v1/Pbx/hold`,
        method: 'put'
    });
}
/**
 * 结束保持
 */
 export function telUnhold() {
    return request({
        url: `/api/v1/Pbx/un-hold`,
        method: 'put'
    });
}